> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trace v3

> Get Trace (returning a TraceInfoV3). Differences between TraceV3 and Trace are
assessments and semantics of TraceLocation, which describes where the Trace is stored.




## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/2.0/mlflow/traces/{trace_id}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: MLflow experiments and runs
  - name: MLflow models
  - name: MLflow artifacts
  - name: MLflow traces
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/2.0/mlflow/traces/{trace_id}:
    get:
      tags:
        - MLflow traces
      summary: Get Trace v3
      description: >
        Get Trace (returning a TraceInfoV3). Differences between TraceV3 and
        Trace are

        assessments and semantics of TraceLocation, which describes where the
        Trace is stored.
      operationId: traces.GetTraceV3
      parameters:
        - in: path
          name: trace_id
          schema:
            type: string
          required: true
          description: ID of the trace to retrieve.
          example: trace-12345-abcde
      responses:
        '200':
          description: The trace information with v3 enhancements.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_GetTraceInfoResponseV3'
        '404':
          description: Trace not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_ErrorResponse'
        default:
          $ref: '#/components/responses/mlflow-proxy_MLflowNativeError'
components:
  schemas:
    mlflow-proxy_GetTraceInfoResponseV3:
      type: object
      properties:
        trace_info:
          $ref: '#/components/schemas/mlflow-proxy_TraceInfoV3'
      required:
        - trace_info
    mlflow-proxy_ErrorResponse:
      properties:
        error_code:
          $ref: '#/components/schemas/mlflow-proxy_ErrorCode'
        message:
          description: Error message
          type: string
      required:
        - error_code
        - message
      type: object
    mlflow-proxy_TraceInfoV3:
      type: object
      additionalProperties: false
      required:
        - trace_id
        - state
        - trace_location
      description: |
        Trace metadata and previews. Enum values use protobuf JSON names.
      x-proto-message: TraceInfoV3
      properties:
        trace_id:
          type: string
          description: The primary key associated with the trace.
        client_request_id:
          type: string
          description: Client-supplied request ID from an external system.
        trace_location:
          $ref: '#/components/schemas/mlflow-proxy_TraceLocationV3'
        request:
          type: string
          description: >
            [Deprecated, use `request_preview`] JSON-stringified full request
            (root span input).
          deprecated: true
          example: '{"x":1,"y":2}'
        response:
          type: string
          description: >
            [Deprecated, use `response_preview`] JSON-stringified full response
            (root span output).
          deprecated: true
          example: '3'
        request_preview:
          type: string
          description: >
            JSON-stringified preview of the request (root span input), truncated
            to ~10KB. Full payload stored in blob storage.
          example: '{"x":1,"y":2}'
        response_preview:
          type: string
          description: >
            JSON-stringified preview of the response (root span output),
            truncated to ~10KB. Full payload stored in blob storage.
          example: '3'
        request_time:
          type: string
          format: date-time
          description: Start time of the trace (RFC 3339).
          example: '2025-09-03T19:36:13.792Z'
        execution_duration:
          type: string
          description: >
            google.protobuf.Duration (string form). Example "0.052s". If you
            prefer ISO-8601 durations, change to format: duration.
          example: 0.052s
        state:
          $ref: '#/components/schemas/mlflow-proxy_TraceStatus'
        trace_metadata:
          type: object
          description: Arbitrary metadata associated with the trace.
          additionalProperties:
            type: string
          example:
            mlflow.source.name: sdktest.py
            mlflow.source.type: LOCAL
            mlflow.sourceRun: 5d7bf43a73704e109d3e468842737bd7
            mlflow.trace.sizeBytes: '1309'
        assessments:
          type: array
          items:
            $ref: '#/components/schemas/mlflow-proxy_TraceAssessment'
        tags:
          type: object
          description: Mutable, user-defined tags.
          additionalProperties:
            type: string
          example:
            question_topic: DBSQL
            domino.prog.metric.metric: '1'
            domino.prog.label.label: good
    mlflow-proxy_ErrorCode:
      description: Error code
      enum:
        - INTERNAL_ERROR
        - INVALID_STATE
        - DATA_LOSS
        - NOT_IMPLEMENTED
        - TEMPORARILY_UNAVAILABLE
        - DEADLINE_EXCEEDED
        - CANCELLED
        - RESOURCE_EXHAUSTED
        - REQUEST_LIMIT_EXCEEDED
        - ABORTED
        - RESOURCE_CONFLICT
        - ALREADY_EXISTS
        - NOT_FOUND
        - ENDPOINT_NOT_FOUND
        - RESOURCE_DOES_NOT_EXIST
        - PERMISSION_DENIED
        - CUSTOMER_UNAUTHORIZED
        - UNAUTHENTICATED
        - BAD_REQUEST
        - RESOURCE_ALREADY_EXISTS
        - INVALID_PARAMETER_VALUE
      type: string
    mlflow-proxy_TraceLocationV3:
      type: object
      description: The location where the trace was stored and produced
      properties:
        type:
          type: string
          enum:
            - TRACE_LOCATION_TYPE_UNSPECIFIED
            - MLFLOW_EXPERIMENT
            - INFERENCE_TABLE
          description: Type of trace location
        mlflow_experiment:
          $ref: '#/components/schemas/mlflow-proxy_MlflowExperimentLocation'
        inference_table:
          $ref: '#/components/schemas/mlflow-proxy_InferenceTableLocation'
    mlflow-proxy_TraceStatus:
      description: Status of the operation being traced.
      type: string
      enum:
        - TRACE_STATUS_UNSPECIFIED
        - OK
        - ERROR
        - IN_PROGRESS
    mlflow-proxy_TraceAssessment:
      type: object
      description: Assessment or evaluation result for a trace
      properties:
        assessment_id:
          type: string
          description: Unique identifier for the assessment
          example: assessment-67890-fghij
        assessor_name:
          type: string
          description: Name of the assessor (human or system)
          example: quality_evaluator_v1
        assessment_type:
          type: string
          enum:
            - QUALITY
            - PERFORMANCE
            - SAFETY
            - BIAS
            - CUSTOM
          description: Type of assessment performed
          example: QUALITY
        score:
          type: number
          format: float
          description: Numerical score of the assessment
          example: 0.85
        max_score:
          type: number
          format: float
          description: Maximum possible score
          example: 1
        comments:
          type: string
          description: Additional comments or feedback
          example: High quality response with accurate information
        timestamp_ms:
          type: integer
          format: int64
          description: Timestamp when assessment was performed
          example: 1640995800000
        metadata:
          type: object
          additionalProperties:
            type: string
          description: Additional metadata for the assessment
      required:
        - assessment_id
        - assessor_name
        - assessment_type
        - score
        - timestamp_ms
    mlflow-proxy_MlflowExperimentLocation:
      type: object
      description: MLflow experiment location information
      properties:
        experiment_id:
          type: string
          description: MLflow experiment ID which is the ACL container holding the trace
      required:
        - experiment_id
    mlflow-proxy_InferenceTableLocation:
      type: object
      description: Inference table location information
      properties:
        full_table_name:
          type: string
          description: Full inference table name in the form of catalog.schema.table_name
      required:
        - full_table_name
  responses:
    mlflow-proxy_MLflowNativeError:
      description: The client issued a bad request to the server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/mlflow-proxy_ErrorResponse'

````

## Related topics

- [Start a trace V3](/api-reference/mlflow-traces/start-a-trace-v3.md)
- [Search Traces V3](/api-reference/mlflow-traces/search-traces-v3.md)
- [Get trace info](/api-reference/mlflow-traces/get-api20mlflowtraces-info.md)
- [Get trace count timeseries](/api-reference/ai-systems/get-trace-count-timeseries.md)
